Subject: Re: Perl - trying to install libwin32
From: "Gerrit P. Haase" <[email-masked]>
To: Paul W <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Sep 2003 16:49:07 +0200

Paul schrieb:

> Hello all,

> I'm trying to install the perl libwin32 package under cygwin. I'm
> following the steps given in this message:

> http://sources.redhat.com/ml/cygwin/2003-01/msg00581.html

[...]

> ... Lots more link errors ...

> File.o(.text+0x18b31):File.c: undefined reference to `_GetLastError'
> File.o(.text+0x18d6a):File.c: undefined reference to `_SetErrorMode'
> collect2: ld returned 1 exit status
> perlld: *** system() failed to execute
> gcc -shared -o  File.dll -Wl,--out-implib=libFile.dll.a
> -Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--stack,8388608 \
> -s -L/usr/local/lib File.o 
> /usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a
 
> make[1]: *** [../blib/arch/auto/Win32API/File/File.dll] Error 1
> make[1]: Leaving directory `/home/coldfusion/libwin32-0.191/APIFile'
> make: *** [subdirs] Error 2

Strange error, the functions are in the Windows DLL: kernel32.dll
Have you installed the w32api package ( ls /usr/lib/w32api )?

Which compiler are you using?  I used 3.2.x to build perl.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/